import { ACTIONS } from './constants';
export var toggleSwitch = function toggleSwitch(switchKey, checked) {
  return {
    type: ACTIONS.TOGGLE_SWITCH,
    payload: {
      switchKey: switchKey,
      checked: checked
    }
  };
};
export var fireButtonAction = function fireButtonAction(buttonKey) {
  return {
    type: ACTIONS.FIRE_BUTTON_ACTION,
    payload: buttonKey
  };
};
export var setDisabledControl = function setDisabledControl(controlKey, disabled) {
  return {
    type: ACTIONS.SET_DISABLED_CONTROL,
    payload: {
      controlKey: controlKey,
      disabled: disabled
    }
  };
};
export var selectSideBarTab = function selectSideBarTab(tabIndex) {
  return {
    type: ACTIONS.SELECT_SIDE_BAR_TAB,
    payload: tabIndex
  };
};
export var setZoom = function setZoom(payload) {
  return {
    type: ACTIONS.SET_ZOOM,
    payload: payload
  };
};
export var setFullState = function setFullState(payload) {
  return {
    type: ACTIONS.SET_FULL_STATE,
    payload: payload
  };
};